[![PyPI - License](https://img.shields.io/pypi/l/pyIPXACT?logo=PyPI)](LICENSE.md)
[![GitHub tag (latest SemVer incl. pre-release)](https://img.shields.io/github/v/tag/Paebbels/pyIPXACT?logo=GitHub&include_prereleases)](https://github.com/Paebbels/pyIPXACT/tags)
[![GitHub release (latest SemVer incl. including pre-releases)](https://img.shields.io/github/v/release/Paebbels/pyIPXACT?logo=GitHub&include_prereleases)](https://github.com/Paebbels/pyIPXACT/releases/latest)
[![GitHub release date](https://img.shields.io/github/release-date/Paebbels/pyIPXACT?logo=GitHub&)](https://github.com/Paebbels/pyIPXACT/releases)
[![Libraries.io status for latest release](https://img.shields.io/librariesio/release/pypi/pyIPXACT)](https://libraries.io/github/Paebbels/pyIPXACT)
[![Requires.io](https://img.shields.io/requires/github/Paebbels/pyIPXACT)](https://requires.io/github/Paebbels/pyIPXACT/requirements/?branch=master)  
[![Travis](https://img.shields.io/travis/com/Paebbels/pyIPXACT?logo=Travis)](https://travis-ci.com/Paebbels/pyIPXACT)
[![PyPI](https://img.shields.io/pypi/v/pyIPXACT?logo=PyPI)](https://pypi.org/project/pyIPXACT/)
![PyPI - Status](https://img.shields.io/pypi/status/pyIPXACT?logo=PyPI)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/pyIPXACT?logo=PyPI)
[![Dependent repos (via libraries.io)](https://img.shields.io/librariesio/dependent-repos/pypi/pyIPXACT)](https://github.com/Paebbels/pyIPXACT/network/dependents)  
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/3deb3840b05b40bf935380b41074bea9)](https://www.codacy.com/manual/Paebbels/pyIPXACT)
[![Libraries.io SourceRank](https://img.shields.io/librariesio/sourcerank/pypi/pyIPXACT)](https://libraries.io/github/Paebbels/pyIPXACT/sourcerank)
[![Read the Docs](https://img.shields.io/readthedocs/pyipxact)](https://pyIPXACT.readthedocs.io/en/latest/)

# pyIPXACT - An IP-XACT DOM for [IEEE 1685-2014][IEEE-1685-2014] in Python.

## Features

* Generate IP-XACT files for
  * IP-XACT catalogs


## IP-XACT Resources:

* Standards:
  * [IEEE 1685-2009][IEEE-1685-2009]
  * [IEEE 1685-2014][IEEE-1685-2014]
* Schema files:
  * [IPXACT-Schema](https://github.com/UnofficialRepos/IPXACT-Schema) at GitHub
  * [IP-XACT][IPXACT] at [Accellera][Accellera]


## Contributors:

* [Patrick Lehmann](https://github.com/Paebbels) (Maintainer)


## License

This library is licensed under [Apache License 2.0](LICENSE.md)

-------------------------

SPDX-License-Identifier: Apache-2.0



[IEEE-1685-2009]: https://standards.ieee.org/findstds/standard/1685-2009.html
[IEEE-1685-2014]: https://standards.ieee.org/findstds/standard/1685-2014.html
[IPXACT]:         http://accellera.org/downloads/standards/ip-xact
[Accellera]:      http://accellera.org

 
